Problemas con LAM (Ldap Account Manager) y pcre

En las versiones de Red Hat y CentOS 5 el Ldap Account Manager no funciona si la libreria pcre no esta actualizada, el problema es que ni siquiera la ultima version del paquete que esta en los repositorios del sistema operativo funcionan.

La instalacion muestra el siguiente error:


















Your PCRE library has no complete Unicode Support. Please upgrede libpcre or compile with "--enable-unicode-properties"

La solución para dicho problema es:

1. descargar el siguiente paquete:
[root@orleans2 install]# wget http://chrisjean.com/wp-content/uploads/2009/01/pcre-66-27x86_64.rpm

2. Verificar la version del sistema operativo
[root@orleans2 install]# more /etc/redhat-release
CentOS release 5.5 (Final)

3. Verifique la version actual del paquete
[root@orleans2 install]# rpm -qa | grep pcre
pcre-devel-6.6-2.el5_1.7
pcre-6.6-2.el5_1.7
pcre-6.6-2.el5_1.7
pcre-devel-6.6-2.el5_1.7

4. Actualice el paquete
[root@orleans2 install]# rpm -Fhv pcre-66-27x86_64.rpm
Preparing... ########################################### [100%]
1:pcre ########################################### [100%]

5. Reinicie el servicio de apache
[root@orleans2 install]# /etc/init.d/httpd restart
Stopping httpd: [ OK ]
Starting httpd: [ OK ]

1 comentario:

  1. Compadre... se paso me sirvio de mucho este paquete, pero tengo una consulta? ¿tienes por casualidad este mismo paquete pero para 32bits?

    de ante mano muchas gracias...

    ResponderEliminar